libvpx-1.9.0

Introduction à libvpx

Ce paquet, du projet WebM, fournit l'implémentation de référence du codec vp8, utilisé dans la plupart des vidéos html5 actuelles et le codec VP9 de prochaine génération.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

Informations sur le paquet

  • Téléchargement (HTTP) : https://github.com/webmproject/libvpx/archive/v1.9.0/libvpx-1.9.0.tar.gz

  • Téléchargement (FTP) :

  • Somme de contrôle MD5 du téléchargement : e5fab59896984392124d0bfaffc36e14

  • Taille du téléchargement : 5.0 Mo

  • Estimation de l'espace disque requis : 63 Mo (plus 1,3 Go si vous lancez les tests)

  • Estimation du temps de construction : 0,5 SBU (avec parallélisme = 4), plus 14 SBU si vous lancez les tests, en comptant le temps de téléchargement

Dépendances de libvpx

Requises

yasm-1.3.0 ou NASM-2.15.03 et Which-2.21 (pour que configure trouve yasm)

Facultatives

cURL-7.71.1 (pour télécharger les fichiers de tests), Doxygen-1.8.19 et PHP-7.4.9 (pour construire la documentation)

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/libvpx

Installation de libvpx

Installez libvpx en lançant les commandes suivantes :

sed -i 's/cp -p/cp/' build/make/Makefile &&

mkdir libvpx-build            &&
cd    libvpx-build            &&

../configure --prefix=/usr    \
             --enable-shared  \
             --disable-static &&
make

Pour tester les résultats, lancez : make test. Quatre tests sont connus pour échouer. La suite de tests télécharge plusieurs fichiers pendant sa procédure de tests.

Maintenant, en tant qu'utilisateur root :

make install

Explication des commandes

sed ...  : Ces commandes corrigent l'appartenance et les permissions des fichiers installés.

mkdir libvpx-build && cd libvpx-build : Les développeurs de libvpx recommandent de construire dans un répertoire de construction dédié.

--disable-vp8 : Ce paramètre désactive la construction du support du codec VP8.

--disable-vp9 : Ce paramètre désactive la construction du support du codec VP9.

--disable-static : Ce paramètre empêche l'installation des versions statiques des bibliothèques.

Contenu

Programmes installés: vpxdec et vpxenc
Bibliothèques installées: libvpx.so
Répertoires installés: /usr/include/vpx

Descriptions courtes

vpxdec

est le décodeur VP8 et VP9 du projet WebM.

vpxenc

est l'encodeur VP8 et VP9 du projet WebM.

libvpx.so

fournit les fonctions pour utiliser les codecs vidéo VP8 et VP9.

Last updated on 2020-08-01 05:18:09 +0000